This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1462165 - (CVE-2017-1000379) CVE-2017-1000379 kernel: Incorrectly mapped contents of PIE executable
CVE-2017-1000379 kernel: Incorrectly mapped contents of PIE executable
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170619,reported=2...
: Security
Depends On: 1462833
Blocks: 1473657
  Show dependency treegraph
 
Reported: 2017-06-16 06:53 EDT by Andrej Nemec
Modified: 2017-10-05 17:32 EDT (History)
41 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-05 17:32:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-06-16 06:53:43 EDT
The Linux Kernel running on AMD64 systems will sometimes map the contents of PIE executable, the heap or ld.so to where the stack is mapped allowing attackers to more easily manipulate the stack.
Comment 1 Andrej Nemec 2017-06-16 06:53:54 EDT
Acknowledgments:

Name: Qualys Inc
Comment 3 Petr Matousek 2017-06-19 12:09:06 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1462833]
Comment 4 Wade Mealing 2017-08-29 04:17:17 EDT
Statement:

This issue was part of the stack guard fixes that was fixed along side the CVE-2017-1000364 flaw.  This issue has previously affected Red Hat Enterprise Linux 5,6,7 and MRG-2.  This issue is currently fixed in most versions of shipping products.

Note You need to log in before you can comment on or make changes to this bug.